#ifndef EQUALIZER_1PORT_H_
#define EQUALIZER_1PORT_H_
#include "ucps2.h"
#include "ucpm2.h"

MPU_ENTRY void EQ21Part1Asm(v16u32 src);
MPU_ENTRY void EQ41Part1Asm(v16u32 src);
MPU_ENTRY void EQ1Part2Asm(v16u32 src);



void EQ21Part1(int* ConfigBaseAddr,int NRE,int Nsymbol,int InputAddr0,int InputAddr1,int InputAddr2,int OutputAddr0,int OutputAddr1,int OutputAddr2,int OutputAddr3);
void EQ41Part1(int* ConfigBaseAddr,int NRE,int Nsymbol,int InputAddr0,int InputAddr1,int InputAddr2,int OutputAddr0,int OutputAddr1,int OutputAddr2,int OutputAddr3);
void EQ1Part2(int* ConfigBaseAddr,int NRE,int Nsymbol,int InputAddr0,int InputAddr1,int InputAddr2,int InputAddr3,int OutputAddr0,int OutputAddr1);




#endif /* EQUALIZER_1PORT_H_ */
